# coding: utf-8

"""
    DocuSign REST API

    The DocuSign REST API provides you with a powerful, convenient, and simple Web services API for interacting with DocuSign.

    OpenAPI spec version: v2
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import os
import sys
import unittest

import docusign_esign
from docusign_esign.rest import ApiException
from docusign_esign.apis.templates_api import TemplatesApi


class TestTemplatesApi(unittest.TestCase):
    """ TemplatesApi unit test stubs """

    def setUp(self):
        self.api = docusign_esign.apis.templates_api.TemplatesApi()

    def tearDown(self):
        pass

    def test_create_custom_fields(self):
        """
        Test case for create_custom_fields

        Creates custom document fields in an existing template document.
        """
        pass

    def test_create_document_fields(self):
        """
        Test case for create_document_fields

        Creates custom document fields in an existing template document.
        """
        pass

    def test_create_edit_view(self):
        """
        Test case for create_edit_view

        Provides a URL to start an edit view of the Template UI
        """
        pass

    def test_create_lock(self):
        """
        Test case for create_lock

        Lock a template.
        """
        pass

    def test_create_recipients(self):
        """
        Test case for create_recipients

        Adds tabs for a recipient.
        """
        pass

    def test_create_tabs(self):
        """
        Test case for create_tabs

        Adds tabs for a recipient.
        """
        pass

    def test_create_template(self):
        """
        Test case for create_template

        Creates an envelope from a template.
        """
        pass

    def test_delete_bulk_recipients(self):
        """
        Test case for delete_bulk_recipients

        Deletes the bulk recipient list on a template.
        """
        pass

    def test_delete_custom_fields(self):
        """
        Test case for delete_custom_fields

        Deletes envelope custom fields in a template.
        """
        pass

    def test_delete_document_fields(self):
        """
        Test case for delete_document_fields

        Deletes custom document fields from an existing template document.
        """
        pass

    def test_delete_document_page(self):
        """
        Test case for delete_document_page

        Deletes a page from a document in an template.
        """
        pass

    def test_delete_documents(self):
        """
        Test case for delete_documents

        Deletes documents from a template.
        """
        pass

    def test_delete_group_share(self):
        """
        Test case for delete_group_share

        Removes a member group's sharing permissions for a template.
        """
        pass

    def test_delete_lock(self):
        """
        Test case for delete_lock

        Deletes a template lock.
        """
        pass

    def test_delete_recipient(self):
        """
        Test case for delete_recipient

        Deletes the specified recipient file from a template.
        """
        pass

    def test_delete_recipients(self):
        """
        Test case for delete_recipients

        Deletes recipients from a template.
        """
        pass

    def test_delete_tabs(self):
        """
        Test case for delete_tabs

        Deletes the tabs associated with a recipient in a template.
        """
        pass

    def test_get(self):
        """
        Test case for get

        Gets a list of templates for a specified account.
        """
        pass

    def test_get_document(self):
        """
        Test case for get_document

        Gets PDF documents from a template.
        """
        pass

    def test_get_document_page_image(self):
        """
        Test case for get_document_page_image

        Gets a page image from a template for display.
        """
        pass

    def test_get_document_tabs(self):
        """
        Test case for get_document_tabs

        Returns tabs on the document.
        """
        pass

    def test_get_lock(self):
        """
        Test case for get_lock

        Gets template lock information.
        """
        pass

    def test_get_notification_settings(self):
        """
        Test case for get_notification_settings

        Gets template notification information.
        """
        pass

    def test_get_page_tabs(self):
        """
        Test case for get_page_tabs

        Returns tabs on the specified page.
        """
        pass

    def test_get_pages(self):
        """
        Test case for get_pages

        Returns document page image(s) based on input.
        """
        pass

    def test_list_bulk_recipients(self):
        """
        Test case for list_bulk_recipients

        Gets the bulk recipient file from a template.
        """
        pass

    def test_list_custom_fields(self):
        """
        Test case for list_custom_fields

        Gets the custom document fields from a template.
        """
        pass

    def test_list_document_fields(self):
        """
        Test case for list_document_fields

        Gets the custom document fields for a an existing template document.
        """
        pass

    def test_list_documents(self):
        """
        Test case for list_documents

        Gets a list of documents associated with a template.
        """
        pass

    def test_list_recipients(self):
        """
        Test case for list_recipients

        Gets recipient information from a template.
        """
        pass

    def test_list_tabs(self):
        """
        Test case for list_tabs

        Gets the tabs information for a signer or sign-in-person recipient in a template.
        """
        pass

    def test_list_templates(self):
        """
        Test case for list_templates

        Gets the definition of a template.
        """
        pass

    def test_rotate_document_page(self):
        """
        Test case for rotate_document_page

        Rotates page image from a template for display.
        """
        pass

    def test_update(self):
        """
        Test case for update

        Updates an existing template.
        """
        pass

    def test_update_bulk_recipients(self):
        """
        Test case for update_bulk_recipients

        Adds or replaces the bulk recipients list in a template.
        """
        pass

    def test_update_custom_fields(self):
        """
        Test case for update_custom_fields

        Updates envelope custom fields in a template.
        """
        pass

    def test_update_document(self):
        """
        Test case for update_document

        Adds a document to a template document.
        """
        pass

    def test_update_document_fields(self):
        """
        Test case for update_document_fields

        Updates existing custom document fields in an existing template document.
        """
        pass

    def test_update_documents(self):
        """
        Test case for update_documents

        Adds documents to a template document.
        """
        pass

    def test_update_group_share(self):
        """
        Test case for update_group_share

        Shares a template with a group
        """
        pass

    def test_update_lock(self):
        """
        Test case for update_lock

        Updates a template lock.
        """
        pass

    def test_update_notification_settings(self):
        """
        Test case for update_notification_settings

        Updates the notification  structure for an existing template.
        """
        pass

    def test_update_recipients(self):
        """
        Test case for update_recipients

        Updates recipients in a template.
        """
        pass

    def test_update_tabs(self):
        """
        Test case for update_tabs

        Updates the tabs for a recipient.
        """
        pass


if __name__ == '__main__':
    unittest.main()
